/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-04 15:19:49
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import { getEmployeeList, getUserList, getStoreDecorationList, getStoreRole, addEmployee, editEmployee, deleteEmployee,getCourseCatalogList,getAllSonCategory,addCourseCategory,delCourseCategory,editCourseCategory } from '@/data-source/store/request-apis';

export default class StoreService {
  // 获取员工列表 
  static getEmployeeList(params: any) {
    return getEmployeeList(params);
  }

  // 获取店铺角色
  static getStoreRole(params: any) {
    return getStoreRole(params);
  }

  // 删除员工
  static deleteEmployee(params: any) {
    return deleteEmployee(params);
  }

  // 添加员工
  static addEmployee(params: any) {
    return addEmployee(params);
  }

  // 编辑员工
  static editEmployee(params: any) {
    return editEmployee(params);
  }

  // 获取用户列表 
  static getUserList(params: any) {
    return getUserList(params);
  }

  // 获取用户列表 
  static getStoreDecorationList(params: any) {
    return getStoreDecorationList(params);
  }
  
  // 获取课程分类列表 
  static getCourseCatalogList(params: any) {
    return getCourseCatalogList(params);
  }
  static getAllSonCategory(params: any) {
    return getAllSonCategory(params);
  }
  static addCourseCategory(params: any) {
    return addCourseCategory(params);
  }
  static editCourseCategory(params: any) {
    return editCourseCategory(params);
  }
  static delCourseCategory(params: any) {
    return delCourseCategory(params);
  }
 
}